# 使用说明 V3.8.0
# 1. 使用docker-compose  宿主机不需要配置host来发现
# 2. 无需修改源码，根目录  docker-compose up 即可
# 3. 静静等待服务启动

version: '2'
services:
  hnqz-register:
    build:
      context: ./hnqz-register
    restart: always
    container_name: hnqz-register
    image: hnqz-register
    ports:
      - 8848:8848
    extra_hosts:
      - "hnqz-register:172.21.0.7"
      - "hnqz-gateway:172.21.0.7"
      - "hnqz-redis:172.21.0.7"
      - "hnqz-zookeeper:172.21.0.7"
      - "hnqz-xxl:172.21.0.7"
      - "hnqz-mysql:172.21.0.7"
      - "hnqz-sentinel:172.21.0.71"

  hnqz-gateway:
    build:
      context: ./hnqz-gateway
    restart: always
    container_name: hnqz-gateway
    image: hnqz-gateway
    ports:
      - 9999:9999
    extra_hosts:
      - "hnqz-register:172.21.0.7"
      - "hnqz-gateway:172.21.0.7"
      - "hnqz-redis:172.21.0.7"
      - "hnqz-zookeeper:172.21.0.7"
      - "hnqz-xxl:172.21.0.7"
      - "hnqz-mysql:172.21.0.7"
      - "hnqz-sentinel:172.21.0.71"

  hnqz-auth:
    build:
      context: ./hnqz-auth
    restart: always
    container_name: hnqz-auth
    image: hnqz-auth
    extra_hosts:
      - "hnqz-register:172.21.0.7"
      - "hnqz-gateway:172.21.0.7"
      - "hnqz-redis:172.21.0.7"
      - "hnqz-zookeeper:172.21.0.7"
      - "hnqz-xxl:172.21.0.7"
      - "hnqz-mysql:172.21.0.7"
      - "hnqz-sentinel:172.21.0.71"

  hnqz-daemon-quartz:
    build:
      context: ./hnqz-visual/hnqz-daemon-quartz
    restart: always
    image: hnqz-daemon-quartz
    container_name: hnqz-daemon-quartz
    extra_hosts:
      - "hnqz-register:172.21.0.7"
      - "hnqz-gateway:172.21.0.7"
      - "hnqz-redis:172.21.0.7"
      - "hnqz-zookeeper:172.21.0.7"
      - "hnqz-xxl:172.21.0.7"
      - "hnqz-mysql:172.21.0.7"
      - "hnqz-sentinel:172.21.0.71"

  hnqz-upms:
    build:
      context: ./hnqz-upms/hnqz-upms-biz
    restart: always
    container_name: hnqz-upms
    image: hnqz-upms
    extra_hosts:
      - "hnqz-register:172.21.0.7"
      - "hnqz-gateway:172.21.0.7"
      - "hnqz-redis:172.21.0.7"
      - "hnqz-zookeeper:172.21.0.7"
      - "hnqz-xxl:172.21.0.7"
      - "hnqz-mysql:172.21.0.7"
      - "hnqz-sentinel:172.21.0.71"
#  hnqz-monitor:
#    build:
#      context: ./hnqz-visual/hnqz-monitor
#    restart: always
#    image: hnqz-monitor
#    container_name: hnqz-monitor
#    ports:
#      - 5001:5001
#

#  hnqz-daemon-elastic-job:
#    build:
#      context: ./hnqz-visual/hnqz-daemon-elastic-job
#    restart: always
#    image: hnqz-daemon-elastic-job
#    container_name: hnqz-daemon-elastic-job

#  hnqz-codegen:
#    build:
#      context: ./hnqz-visual/hnqz-codegen
#    restart: always
#    image: hnqz-codegen
#    container_name: hnqz-codegen

#  hnqz-mp-platform:
#    build:
#      context: ./hnqz-visual/hnqz-mp-platform
#    restart: always
#    image: hnqz-mp-platform
#    container_name: hnqz-mp-platform
#
#  hnqz-pay-platform:
#    build:
#      context: ./hnqz-visual/hnqz-pay-platform
#    restart: always
#    image: hnqz-pay-platform
#    container_name: hnqz-pay-platform
#
#  hnqz-oa-platform:
#    build:
#      context: ./hnqz-visual/hnqz-oa-platform
#    restart: always
#    image: hnqz-oa-platform
#    container_name: hnqz-oa-platform
#
#  hnqz-tx-manager:
#    build:
#      context: ./hnqz-visual/hnqz-tx-manager
#    restart: always
#    image: hnqz-tx-manager
#    container_name: hnqz-tx-manager
#    ports:
#      - 5004:5004
#      - 9998:9998
#
#  hnqz-sentinel:
#    build:
#      context: ./hnqz-visual/hnqz-sentinel-dashboard
#    restart: always
#    image: hnqz-sentinel
#    container_name: hnqz-sentinel
#    ports:
#      - 5020:5020
